Skip to content

Get Dashboard Proxy Token

GET
/api/v1/kubernetes/proxy-ui-token/{service_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/proxy-ui-token/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns a service-account bearer token used to authenticate to the cluster’s Kubernetes Dashboard (proxy UI). Use the cluster service_id.

service_id
required
integer

The cluster service_id, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data
object
token

Service-account bearer token for the Kubernetes Dashboard.

string
errors
object
message
string

Example

{
"code": 200,
"data": {
"token": "<token>"
},
"message": "Success"
}